Percona Server with XtraDB

main.endspace fails sporadicly

Reported by Oleg Tsarev on 2011-09-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
MySQL Server
Unknown
Unknown
Percona Server
Undecided
Oleg Tsarev

Bug Description

Reported to upstream as: http://bugs.mysql.com/bug.php?id=62340
Test case is incorrect, because we have no guarantees about output order.

main.endspace w1 [ fail ]
        Test ended at 2011-09-02 13:46:27

CURRENT_TEST: main.endspace
---
/home/jenkins/workspace/percona-server-5.1-centos/BUILD_TYPE/release/Host/centos5-32/Percona-Server-5.1.58-rel12.9/mysql-test/r/endspace.result 2011-07-01
18:36:01.000000000 +0300
+++
/home/jenkins/workspace/percona-server-5.1-centos/BUILD_TYPE/release/Host/centos5-32/Percona-Server-5.1.58-rel12.9/mysql-test/r/endspace.reject 2011-09-02
20:46:26.000000000 +0300
@@ -203,13 +203,13 @@
 teststring
 select text1, length(text1) from t1 where text1='teststring' or text1 like
'teststring_%';
 text1 length(text1)
-teststring 11
 teststring 10
+teststring 11
 teststring 11
 select text1, length(text1) from t1 where text1='teststring' or text1 >=
'teststring\t';
 text1 length(text1)
-teststring 11
 teststring 10
+teststring 11
 teststring 11
 select concat('|', text1, '|') from t1 order by text1;
 concat('|', text1, '|')

Oleg Tsarev (tsarev) on 2011-09-29
Changed in percona-server:
milestone: none → 5.1.59-13.0
assignee: nobody → Oleg Tsarev (tsarev)
status: New → In Progress
Oleg Tsarev (tsarev) on 2011-09-29
Changed in percona-server:
status: In Progress → Fix Committed
Oleg Tsarev (tsarev) on 2011-09-29
Changed in percona-server:
status: Fix Committed → In Progress
Oleg Tsarev (tsarev) on 2011-09-29
Changed in percona-server:
status: In Progress → Fix Committed
Oleg Tsarev (tsarev) on 2011-10-08
Changed in percona-server:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.